# Mass Update Performs a mass update operation on the specified object. This operation is not available for all types of objects – "massEditable" = "true" must be set on the object to allow the mass edit operation. Set the filter criteria to restrict the scope of the mass edit operation. Endpoint: POST /massedit/{TypeCode} Security: basic, X-PriceFx-jwt ## Path parameters: - `TypeCode` (string, required) The object's type code. See the list of Type Codes. ## Request fields (application/json): - `data` (object, required) - `data.filterCriteria` (object, required) - `data.filterCriteria._constructor` (string, required) - `data.filterCriteria.operator` (string, required) - `data.filterCriteria.criteria` (array, required) - `data.filterCriteria.criteria.fieldName` (string, required) - `data.filterCriteria.criteria.value` (array) - `data.massEditRecords` (array, required) - `data.massEditRecords.fieldName` (string, required) The name of the field you want to update. - `data.massEditRecords.massEditOperator` (string, required) Can be either one of these valid operators: + - * If omitted, the provided value is set (= operator). Otherwise the specified operation is applied. - `data.massEditRecords.fieldValue` (string, required) - `data.massEditRecords.precision` (any) The new value of the field. If omitted, the field is set to null. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) The number of updated records. This number can be different from what the client UI initially thinks because the server takes edit restrictions into account. - `response.status` (number)